Bug 89636 - Crash on hebrew presentation forms
Summary: Crash on hebrew presentation forms
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pango (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-25 13:21 UTC by Miloslav Trmac
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 18:45:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (5.45 KB, text/plain)
2003-04-25 13:23 UTC, Miloslav Trmac
no flags Details

Description Miloslav Trmac 2003-04-25 13:21:51 UTC
Version-Release number of selected component (if applicable):
pango-1.2.1-3

Steps to Reproduce:
1.get pango distribution
2.open tests/all-unicode.txt in gedit
    
Actual results:
crash

Additional info:
Apparently hebrew modules claim 0xfb1d-0xfb4f, but then assume
the chars are in the 8859-8 range. I don't know enough about hebrew
to make a patch.

Comment 1 Miloslav Trmac 2003-04-25 13:23:00 UTC
Created attachment 91297 [details]
Backtrace

Comment 2 Owen Taylor 2003-08-29 18:45:32 UTC
Fixed as of pango-1.2.2:

revision 1.6
date: 2003/03/12 20:22:17;  author: dov;  state: Exp;  lines: +11 -2
* Quick and dirty fix for seg-fault in Hebrew shaper.



Note You need to log in before you can comment on or make changes to this bug.